#!/bin/sh

output="/home/ben/public_html/trafficstats"
nic="ens18"

generate_index() {
	cat <<-EOF
	<!doctype html>
	<html lang="en">
	<head>
		<meta charset="utf-8">
		<meta http-equiv="cache-control" content=no-cache">
		<meta http-equiv="refresh" content="3000">
		<link rel="stylesheet" href="../gruvbox/gruvbox.css">
		<title>tilde.team traffic statistics</title>
	</head>
	<body>
		<main>
		<h1>traffic stats</h1>
		<a href="..">&lt;- back</a>
		<br>
		<table border="0">
			<tr><img src="summary.png" alt="summary"></tr>
			<tr><img src="hours.png" alt="hours"></td></tr>
			<tr><img src="days.png" alt="days"></tr>
			<tr><img src="months.png" alt="months"></tr>
			<tr><img src="top10.png" alt="top10"></tr>
		</table>
		</main>
	</body>
	</html>
	EOF
}

if  [ ! -f "$output"/index.html ]; then
	mkdir -p $output
	generate_index > "$output"/index.html
fi

for type in hours days months top10 summary hsummary vsummary; do
    vnstati --${type} --transparent -i $nic -o $output/${type}.png
done

